Genivia - uddi2__discard_USCOREauthToken Class Reference

|  | Home | Documentation | uddi2__discard_USCOREauthToken Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Member Functions | Public Attributes | List of all members
uddi2__discard_USCOREauthToken Class Reference

Schema urn:uddi-org:api_v2:"discard_authToken". More...

`#include <uddi_v2.h>`

## Public Member Functions
| uddi2__discard_USCOREauthToken (struct soap *)
| Member declared in uddi2-typemap.dat. More...
| uddi2__discard_USCOREauthToken (struct soap *, const char *authInfo)
| Member declared in uddi2-typemap.dat. More...
uddi2__dispositionReport * | send (const char *endpoint)
| Member declared in uddi2-typemap.dat. More...

## Public Attributes
char * | authInfo
| Element reference "urn:uddi-org:api_v2":authInfo. More...
char * | generic
| Attribute generic of type xs:string. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"discard_authToken".

Represents a request to discard an authorization token obtained with the get_USCOREauthToken class.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137737

## Constructor & Destructor Documentation

uddi2__discard_USCOREauthToken::uddi2__discard_USCOREauthToken | ( | struct soap * | soap | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context

Creates an instance of the delete_USCOREauthToken class.

uddi2__discard_USCOREauthToken::uddi2__discard_USCOREauthToken | ( | struct soap * | soap,
|  | const char * | authInfo
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | authInfo | authorization token provided by the UDDI server

Creates an instance of the delete_USCOREauthToken class using the specified authentication token string.

## Member Function Documentation

uddi2__dispositionReport * uddi2__discard_USCOREauthToken::send | ( | const char * | endpoint | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | endpoint | URL of the UDDI server

Returns
  A pointer to a uddi2__dispositionReport object or NULL on error

Send a request to a UDDI service to discard an authentication token.

## Member Data Documentation

char* uddi2__discard_USCOREauthToken::authInfo

Element reference "urn:uddi-org:api_v2":authInfo.

Required element

char* uddi2__discard_USCOREauthToken::generic

Attribute generic of type xs:string.

Required attribute

struct soap* uddi2__discard_USCOREauthToken::soap

A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- uddi_v2.h